dpkg-gencontrol(1)

NAAM
dpkg-gencontrol - Debian control-bestanden genereren

OVERZICHT
dpkg-gencontrol [optie...]

BESCHRIJVING
dpkg-gencontrol leest informatie uit een uitgepakte Debian broncodeboom en genereert voor een binair pakket een controlebestand (standaard is dat debian/tmp/DEBIAN/control). Tijdens dit proces zal het de relatievelden vereenvoudigen.

Zodoende worden Pre-Depends, Depends, Recommends en Suggests in die volgorde vereenvoudigd door afhankelijkheden weg te laten waarvan op basis van de reeds ontlede sterkere afhankelijkheidsrelaties geweten is dat er aan voldaan wordt. Het zal ook een eventuele afhankelijkheid van zichzelf verwijderen (in feite verwijdert het elke vereiste waaraan voldaan is als de huidige versie van het pakket geïnstalleerd is). Logischerwijze behoudt het de onderlinge verbanden tussen meervoudige afhankelijkheidsrelaties met eenzelfde pakket. De volgorde van afhankelijkheden wordt op de best mogelijke manier behouden: indien eventueel een vereiste verwijderd moet worden omwille van een andere vereiste die verder in het veld te vinden is, zal de vervangende vereiste de plaats innemen van de verwijderde vereiste.

Ook de andere relatievelden (Enhances, Conflicts, Breaks, Replaces en Provides) worden individueel vereenvoudigd door de unie te berekenen van de verschillende afhankelijkheden wanneer een pakket meermaals vermeld wordt in het veld.

dpkg-gencontrol voegt voor het binaire pakket ook een item toe in debian/files.

OPTIES

-vversie
    Stelt het versienummer in van het binaire pakket dat gegenereerd zal worden.

-Vnaam=waarde
    Stel een uitvoersubstitutievariabele in. Zie deb-substvars(5) voor een bespreking van uitvoersubstitutie.

-Tsubstvars-bestand
    De substitutievariabelen lezen uit het substvars-bestand. De standaard is debian/substvars. Deze optie kan meermaals gebruikt worden om uit verschillende bestanden substitutievariabelen te lezen (sinds dpkg 1.15.6).

-Dveld=waarde
    Een uitvoerveld uit het control-bestand overschrijven of toevoegen.

-Uveld
    Een uitvoerveld uit het control-bestand verwijderen.

-ccontrol-bestand
    Geeft aan wat het hoofdcontrolebestand van de broncode is waaruit informatie gehaald moet worden. Standaard is dat debian/control.

-lchangelog-bestand
    Geeft aan wat het changelog-bestand is waaruit informatie gehaald moet worden. Standaard is dat debian/changelog.

-fbestand-met-bestandenlijst
    De lijst van bestanden die geüpload moeten worden hier lezen of schrijven, eerder dan debian/files te gebruiken.

-Fchangelog-indeling
    Geeft de indeling van het bestand changelog aan. Zie dpkg-parsechangelog(1) voor informatie over alternatieve indelingen.

-ppakket
    Informatie genereren over het binaire pakket pakket. Indien het control-bestand van de broncode enkel één binair pakket vermeldt, dan kan deze optie weggelaten worden. Anders is ze van essentieel belang om te selecteren over welk binair pakket er informatie gegenereerd moet worden.

-nbestandsnaam
    Ervan uitgaan dat de bestandsnaam van het pakket bestandsnaam zal zijn in plaats van de normale bestandsnaam pakket_versie_arch.deb.

-is, -ip, -isp
    Deze opties worden genegeerd omwille van de compatibiliteit met oudere versies van de bouwscripts van dpkg, maar zijn nu verouderd. Vroeger werden ze gebruikt om dpkg-gencontrol te laten weten dat de velden Section (sectie) en Priority (prioriteit) opgenomen moesten worden in het bestand control. Nu is dit het standaardgedrag. Indien u het oude gedrag wenst, kunt u de optie -U gebruiken om die velden uit het controlebestand te verwijderen.

-Ppakketbouwmap
    De pakketbouwmap doorzoeken in plaats van debian/tmp. Deze waarde wordt gebruikt om de standaardwaarde te vinden van de substitutievariabele Installed-Size en van dat veld in het bestand control en voor de standaardlocatie van het uitvoerbestand.

-O[bestandsnaam]
    Het bestand control weergeven op de standaarduitvoer (of in bestandsnaam als dit opgegeven werd; sinds dpkg 1.17.2), eerder dan in debian/tmp/DEBIAN/control (of pakketbouwmap/DEBIAN/control indien -P gebruikt werd).

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

BESTANDEN

debian/control
    Het belangrijkste controle-informatiebestand van de broncode, waarin versieonafhankelijke informatie over het broncodepakket gegeven wordt en over de binaire pakketten die eruit gebouwd kunnen worden.

debian/files
    De lijst van gegenereerde bestanden die deel uitmaken van de upload die voorbereid wordt. dpkg-gencontrol voegt de vermoedelijke bestandsnamen toe van de binaire pakketten waarvoor het hier de controlebestanden genereert.

ZIE OOK
deb-substvars(5), deb-src-control(5), deb-changelog(5), deb-control(5).